﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using MySql.Data.MySqlClient;

namespace menuhazirlama
{
    public partial class Form1 : Form
    {
        MySqlConnectionStringBuilder bag;
        MySqlDataAdapter da;
        MySqlDataAdapter da_menu;

        int[] ids;
        public Form1()
        {
            InitializeComponent();
            bag = new MySqlConnectionStringBuilder();
            bag.Server = "localhost"; // 192.168.81.105
            bag.UserID = "user";
            bag.Password = "123456";
            bag.Database = "hafta5_2";
            MySqlConnection conn = new MySqlConnection(bag.ToString());
            da = new MySqlDataAdapter();
            MySqlCommand cmd_sel = new MySqlCommand("select idmenu,menuadi,sum(afiyat),sum(safiyat) from menuicerik right join urun on idurun=urunid right join menu on idmenu=menuid group by idmenu,menuadi;", conn);
            da.SelectCommand = cmd_sel;
            radioButton1.Checked = true;

            da_menu = new MySqlDataAdapter();
            MySqlCommand cmd_menu_sel = new MySqlCommand("select idmenu,menuadi from menu;", conn);
            MySqlCommand cmd_menu_ins = new MySqlCommand("insert into menu(menuadi) values(@menuadi);", conn);
            cmd_menu_ins.Parameters.Add("@menuadi", MySqlDbType.VarChar, 45, "menuadi");
            da_menu.SelectCommand = cmd_menu_sel;
            da_menu.InsertCommand = cmd_menu_ins;

            listboxdoldur();


        }

        private void listboxdoldur()
        {
            listBox1.Items.Clear();
            listBox2.Items.Clear();
            listBox3.Items.Clear();
            listBox4.Items.Clear();
            DataTable dt = new DataTable();
            da.Fill(dt);
            int sayi=dt.Rows.Count;

            ids = new int[sayi]; // menuid leri icin
            for (int i = 0; i < sayi; i++)
            {
                ids[i] = Convert.ToInt32(dt.Rows[i].ItemArray[0].ToString());

                int alis=0;
                int satis=0;

                if (dt.Rows[i].ItemArray[2].ToString().Length > 0 && dt.Rows[i].ItemArray[3].ToString().Length > 0)
                {
                    alis = Convert.ToInt32(dt.Rows[i].ItemArray[2].ToString());
                    satis = Convert.ToInt32(dt.Rows[i].ItemArray[3].ToString());
                }

                listBox1.Items.Add(dt.Rows[i].ItemArray[1].ToString());
                listBox2.Items.Add(alis.ToString());
                listBox3.Items.Add(satis.ToString());
                listBox4.Items.Add((satis-alis).ToString());
            }
        }

        private void islem_Click(object sender, EventArgs e)
        {

            if (radioButton1.Checked)
            {
                // yeni ekleme

                if (yenimenu.Text.Length > 0)
                {
                    // ekleme
                    int id;
                    DataTable dt = new DataTable();
                    da_menu.Fill(dt);

                    DataRow dr = dt.NewRow();
                    dr["menuadi"] = yenimenu.Text;
                    dt.Rows.Add(dr);
                    da_menu.Update(dt);
                    da_menu.Fill(dt);
                    int sonsatir=dt.Rows.Count-1;

                    id = Convert.ToInt32(dt.Rows[sonsatir].ItemArray[0].ToString());

                    Form2 frm2 = new Form2(bag,id);
                    frm2.ShowDialog();
                    yenimenu.Text = "";

                    listboxdoldur();

                }
            }
            else
            {
                int secilen=listBox1.SelectedIndex;
                if (secilen>-1)
                {
                    int id = ids[secilen];
                    Form2 frm2 = new Form2(bag, id);
                    frm2.ShowDialog();
                    listboxdoldur();
                }
            }
        }

        private void radioButton1_CheckedChanged(object sender, EventArgs e)
        {
            if (radioButton1.Checked)
            {
                islem.Location = new Point(103, 240);
                yenimenu.Visible = true;
            }
            else
            {
                yenimenu.Visible = false;
                islem.Location = new Point(103, 226);    
            }
        }
    }
}
