﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using MySql.Data.MySqlClient;

namespace menuhazirlama
{
    public partial class Form2 : Form
    {

        MySqlDataAdapter da_menu;
        DataTable dt_urun;
        DataTable dt_menuicerik;
        public Form2(MySqlConnectionStringBuilder bag, int _id)
        {
            InitializeComponent();

            MySqlConnection conn = new MySqlConnection(bag.ToString());
            MySqlCommand cmd_sel = new MySqlCommand("select idmenuicerik,menuid,urunid,urunadi,afiyat,safiyat from menuicerik inner join urun on urunid=idurun where menuid=@menuid", conn);
            MySqlCommand cmd_ins = new MySqlCommand("insert into menuicerik(menuid,urunid) values(@menuid,@urunid);", conn);
            MySqlCommand cmd_del = new MySqlCommand("delete from menuicerik where idmenuicerik=@idmenuicerik", conn);

            cmd_sel.Parameters.AddWithValue("@menuid", _id);
            cmd_ins.Parameters.AddWithValue("@menuid", _id);
            cmd_ins.Parameters.Add("@urunid", MySqlDbType.Int32, 11, "urunid");
            cmd_del.Parameters.Add("@idmenuicerik", MySqlDbType.Int32, 11, "idmenuicerik");
            
            da_menu = new MySqlDataAdapter();
            da_menu.SelectCommand = cmd_sel;
            da_menu.InsertCommand = cmd_ins;
            da_menu.DeleteCommand = cmd_del;

            MySqlDataAdapter da_urun = new MySqlDataAdapter("select idurun,urunadi from urun", conn);
            dt_urun = new DataTable();

            da_urun.Fill(dt_urun);

            for (int i = 0; i < dt_urun.Rows.Count; i++)
                comboBox1.Items.Add(dt_urun.Rows[i].ItemArray[1].ToString());

            comboBox1.Text = "Seçiniz";
            datagridguncelle();
            dataGridView1.Columns[0].Visible = false;
            dataGridView1.Columns[1].Visible = false;
            dataGridView1.Columns[2].Visible = false;
            dataGridView1.AllowUserToAddRows = false;

        }

        private void datagridguncelle()
        {
            dt_menuicerik = new DataTable();
            da_menu.Fill(dt_menuicerik);
            dataGridView1.DataSource = dt_menuicerik;
        }

        private void ekle_Click(object sender, EventArgs e)
        {
            if (comboBox1.SelectedIndex > -1)
            {
                DataTable dt = new DataTable();
                da_menu.Fill(dt);

                DataRow dr = dt.NewRow();
                dr["urunid"] = Convert.ToInt32(dt_urun.Rows[comboBox1.SelectedIndex].ItemArray[0].ToString());
                dt.Rows.Add(dr);
                da_menu.Update(dt);
                datagridguncelle();
                comboBox1.Text = "Seçiniz";
            }

        }

        private void dataGridView1_RowsRemoved(object sender, DataGridViewRowsRemovedEventArgs e)
        {

            if (e.RowIndex > -1 && dt_menuicerik.Rows.Count > 0)
            {
                da_menu.Update(dt_menuicerik);
            }



        }

        private void kapat_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void dataGridView1_CellContentClick(object sender, DataGridViewCellEventArgs e)
        {

        }
    }
}
